package com.bonus.sgzb.machine.service;

import com.bonus.sgzb.machine.damain.MaHouse;
import java.util.List;

/**
 * 仓库信息 服务层
 *
 * @author ruoyi
 */
public interface IhouseService {

    /**
     * 校验工程项目名称
     *
     * @param house 仓库信息
     * @return 结果
     */
    public boolean checkHouseNameUnique(MaHouse house);

    /**
     * 新增保存仓库信息
     *
     * @param house 仓库信息
     * @return 结果
     */
    public int insertHouse(MaHouse house);

    /**
     * 修改仓库信息
     * @param house
     * @return
     */
    public int updatetHouse(MaHouse house);

    /**
     * 删除仓库货架
     * @param houseId
     * @return
     */
    int deleteHouseById(Long houseId);

    /**
     * 查询仓库列表
     * @param house
     * @return
     */
    List<MaHouse> selectHouseList(MaHouse house);

    /**
     * 是否存在子仓库
     * @param houseId
     * @return
     */
    boolean hasChildByHouseId(Long houseId);
}
